Imports System.IO
Imports DevExpress.Xpf.Bars
Imports DevExpress.Xpf.Core.Native

Public Class VentanaVisorExcel
    Public Sub New(Excel As Stream, Formato As DevExpress.Spreadsheet.DocumentFormat)

        ' Llamada necesaria para el diseñador.
        InitializeComponent()
        If Excel IsNot Nothing Then
            Dim wb = SpreadsheetControl.Document
            wb.LoadDocument(Excel, Formato)
        End If
        ' Agregue cualquier inicialización después de la llamada a InitializeComponent().



    End Sub


    Private Sub biFileSave_ItemClick(sender As Object, e As ItemClickEventArgs)
        Try
            Me.DialogResult = True
            Me.Close()
        Catch ex As Exception
            Me.Close()
            MessageBox.Show(ex.Message, "Error")
        End Try
    End Sub
End Class
